
Redmine - Defect #7611

Workflow summary shows X icon for workflow with exactly 1 status transition

2011-02-11 23:55 - Thomas Löber

Status: Closed Start date: 2011-02-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.1.2   

Resolution: Fixed Affected version: 1.1.1

Description

Hi,

if a workflow contains exactly 1 status transition the workflow summary shows the "false.png" icon.

This is because the condition at http://www.redmine.org/projects/redmine/repository/entry/trunk/app/views/workflows/index.rhtml#L27

is "count > 1" instead of "count > 0".

Regards,

Thomas

Associated revisions

Revision 4890 - 2011-02-20 14:13 - Jean-Philippe Lang

Fixed: Workflow summary shows X icon for workflow with exactly 1 status transition (#7611).

History

#1 - 2011-02-20 14:13 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.1.2

- Affected version (unused) changed from devel to 1.1.1

- Resolution set to Fixed

- Affected version set to 1.1.1

Fixed in r4890.

#2 - 2011-02-28 21:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.1-stable.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.redmine.org/projects/redmine/repository/entry/trunk/app/views/workflows/index.rhtml#L27
https://www.redmine.org/projects/redmine/repository/svn/revisions/4890
http://www.tcpdf.org

